Subject: Re: Crash of mysql under cygwin with g++ 3.3.1
From: "Gerrit P. Haase" <[email-masked]>
To: Fabrice Marchal <[email-masked]>
Cc: [email-masked]
Date: Sun, 4 Jan 2004 21:30:24 +0100

Hallo Fabrice,

late reply, sorry.

Your code snippet works for me with the latest Cygwin gcc-3.3.1 and
MySQL 4.0.17 which I compiled today and which is available for testing
here: http://anfaenger.de/cygwin-1.5/mysql/

$ gcc -I/usr/include/mysql \
    -o mysql mysql.cpp \
    -L/usr/lib/mysql -lmysqlclient \
    -L/usr/lib -lstdc++

$ ./mysql

$ g++ -I/usr/include/mysql \
    -o mysql mysql.cpp \
    -L/usr/lib/mysql -lmysqlclient

$ ./mysql

No problem here.

Am Freitag, 28. November 2003 um 01:46 schriebst du:

> I dont know if this is a problem of mysql, g++ or
> cygwin but the following simple code keeps crashing with g++3.3.1
> Platform: cygwin-1.5.5, mysql 3.23 (and mysql 4.1 as well).
> Note that the code does not crash if all the mysql_ calls are
> made from inside the "main()" block. GDB reports that the crash occurs
> when returning from the Connection() constructor.
> The code was working with former g++2.95 under cygwin.

> #include "mysql.h"
> #include <iostream>

> using namespace std;

> class Connection{
>   MYSQL *mysql;
> public:
>   Connection(){
>     mysql = mysql_init( NULL );
>     if( mysql == 0 ){
>         cerr << "failed to init" << endl;
>         exit(-1); }
>     mysql_real_connect( mysql, "", "", "", "test", 3306, NULL, 0);
>   }
> };

> int main( int argc, char** args ){
>     Connection con;
> }

HTH,
Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/